#
# ComboCalendarWidget by Mohammad Tareq Alam (www.commitmentsoft.com)>
#
import logging



# Plone imports
from Products.Archetypes.Widget import SelectionWidget, TypesWidget,MultiSelectionWidget,CalendarWidget
from Products.Archetypes.Registry import registerWidget
from Products.Archetypes.debug import log
from Products.Archetypes.utils import className, unique, capitalize
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.Expression import Expression, createExprContext
from Products.generator.widget import macrowidget

# Localization support
#from Products.PageTemplates.GlobalTranslationService import getGlobalTranslationService as getGTS


class ComboCalendarWidget(TypesWidget):
    """ Render combo selection widget with special clicable "open for edit" when not view.isTemporary()=True
    """

    _properties = TypesWidget._properties.copy()

    _properties.update({
        'macro' : "combocalendarwidget",
        'helper_js': ('combocalendar.js',),
        'extended_rendering' : True
        })

    def process_form(self, instance, field, form, empty_marker=None,emptyReturnsMarker=False):
        #print 'processss_form:',form
        """Basic impl for form processing in a widget"""
        value1 = form.get(field.getName()+'_yes_no', empty_marker)
        value2 = form.get(field.getName(), empty_marker)
        value = [value1,value2]
        if value is empty_marker:
            return empty_marker
        if emptyReturnsMarker and value == '':
            return empty_marker
        return value, {}
